%define name coin
%define version 2.1.0
%define release 1mdk

%define major   40
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d
%define lib_name_orig libcoin

Summary: Coin is an implementation of the Open Inventor API
Name: %{name}
Version: %{version}
Release: %{release}
Source0: Coin-%{version}.tar.bz2
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://www.coin3d.org/

%description 
Coin is an implementation of the Open Inventor API, fully backwards
compatible with SGI Open Inventor v2.1, and incorporating many new
features.

Coin is portable across Win32, Linux, SGI IRIX, Mac OS X, HP-UX, Sun
Solaris, IBM AIX, and other platforms.

%package -n %{libname}
Summary: Main library for Coin
Group: System/Libraries
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Coin.

%package -n %{libnamedev}
Summary: Headers for developing programs that will use Coin
Group: Development/C++
Requires: %{libname} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use Coin.

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%prep
%setup -q -n Coin-%{version}

%build

./configure --prefix=%_prefix --mandir=%_mandir --datadir=%_datadir --libdir=%_libdir

%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root,0755)
%{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root,0755)
%doc README FAQ AUTHORS NEWS RELNOTES THANKS
%{_bindir}/coin-config
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/Coin
%_datadir/aclocal
%{_mandir}/man1/*

%changelog
* Fri Oct 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0

* Fri Jun 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2a-1mdk
- use mklibname
- fix filelist
- from Jan Villat <rpms@djdie.net> : 
	- Updated version number

* Mon May 05 2003 Jan Villat <rpms@djdie.net> 2.0.0-1mdk
- First RPM build

# end of file
